c     Copyright (C) 2009 Vincent Eymet
c
c     "satellite" is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     This software is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with the present software; if not, see <http://www.gnu.org/licenses/>
c
      subroutine read_data(sat_theta,sat_phi,sat_z,
     &     point_theta,point_phi,op_alpha)
      implicit none
      include 'param.inc'

      double precision sat_theta,sat_phi,sat_z
      double precision point_theta,point_phi,op_alpha
      double precision sat_latitude,sat_longitude,sat_altitude
      double precision point_latitude,point_longitude,op_angle
      integer ios,i
      integer strlen
      character*100 datafile
      character*100 label
      label='subroutine read_data'

      datafile='./data.in'
      open(10,file=datafile(1:strlen(datafile)),
     &     status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
         write(*,*) 'Error from read_data:'
         write(*,*) 'File could not be found:'
         write(*,*) datafile(1:strlen(datafile))
         stop
      endif
      do i=1,3
         read(10,*)
      enddo
      read(10,*) sat_latitude
      read(10,*)
      read(10,*) sat_longitude
      read(10,*)
      read(10,*) sat_altitude
      read(10,*)
      read(10,*) point_latitude
      read(10,*)
      read(10,*) point_longitude
      read(10,*)
      read(10,*) op_angle
      close(10)

c     data conversion
      sat_theta=sat_latitude*pi/180.0D+0 !  -> rad
      sat_phi=sat_longitude*pi/180.0D+0 !  -> rad
      point_theta=point_latitude*pi/180.0D+0 !  -> rad
      sat_z=sat_altitude*1.0D+3 ! m
      point_phi=point_longitude*pi/180.0D+0 !  -> rad
      op_alpha=op_angle*pi/180.0D+0 !  -> rad

      return
      end
